<!DOCTYPE html>
<html lang="{{ .Site.Language.Lang }}">

  {{ partial "head.html" . }}

  <body>

    {{ partial "header.html" . }}

    <main>
    <div class="flowcontainer">
    <h1>{{ .Title }}</h1>

    {{/* Comic or topic list */}}
    {{ if (or (eq .Page.Section "comic") (eq .Page.Section "topic")) }}
    <table>
    <thead>
    <th>{{ T "list_id" }}</th>
    <th>{{ T "list_date" }}</th>
    <th>{{ T "list_title" }}</th>
    <th>{{ T "list_other_language" }}</th>
    </thead>
    <tbody>
    {{ range .RegularPages }}
       <tr>
       <td class="numeric">#{{ .File.ContentBaseName }}</td>
       <td>{{ .PublishDate.Format (T "date_format") }}</td>
       <td>
          <a href="{{ .RelPermalink }}">{{ .Title }}</a>
       </td>
       <td>
	{{ $translations := slice }}
	{{ range .Translations -}}
	{{ $translations = $translations | append .Language.LanguageCode }}
	<a href="{{ .RelPermalink }}" title="{{ .Language.Params.languageFooterLinkTitle }}">{{ .Language.LanguageCode }}</a>
	{{- end }}

       {{ if (and (eq .Page.Section "comic") (not .IsTranslated)) -}}
       {{ T "list_empty_language_cell" }}
       {{- end -}}
       </td>
       </tr>
    {{ end }}
    </tbody>
    </table>

    {{/* Generic list */}}
    {{ else }}
    <ul>
    {{ range .RegularPages }}
    <li><a href="{{ .RelPermalink }}">{{ .Title }}</a></li>
    {{ end }}
    </ul>
    {{ end }}

    </div>
    </main>

    {{ partial "footer.html" . }}

  </body>

</html>
